summaryrefslogtreecommitdiffstats
path: root/src/ob-unpacksource.sh
diff options
context:
space:
mode:
authorPatrick McDermott <patrick.mcdermott@libiquity.com>2019-03-13 18:50:33 (EDT)
committer Patrick McDermott <patrick.mcdermott@libiquity.com>2019-03-13 18:53:16 (EDT)
commit575858a3709d03b6348add5721cd02e320b424bf (patch)
tree3dfe629809b67e2ace96fe959d04bf9795f4a8c5 /src/ob-unpacksource.sh
parentbfc5e48be90383aea647a061b8d97518c4274551 (diff)
Protect against cmd operands beginning with "-"
Diffstat (limited to 'src/ob-unpacksource.sh')
-rw-r--r--src/ob-unpacksource.sh2
1 files changed, 1 insertions, 1 deletions
diff --git a/src/ob-unpacksource.sh b/src/ob-unpacksource.sh
index 98b2da1..0716257 100644
--- a/src/ob-unpacksource.sh
+++ b/src/ob-unpacksource.sh
@@ -114,7 +114,7 @@ extract_upstream()
ob_error "$(ob_get_msg 'cant_unpack_upstream')"
return 1
fi
- if ! mv "${upstream_ar_dir}" 'src'; then
+ if ! mv -- "${upstream_ar_dir}" 'src'; then
ob_error "$(ob_get_msg 'cant_move_native')"
return 1
fi